## Personalized Signatures

Personalized Signatures

## Synopsis

                        ESignature;
    ESignature *        e_signature_new                     (void);
    ESignature *        e_signature_new_from_xml            (const gchar *xml);
    gchar *             e_signature_uid_from_xml            (const gchar *xml);
    gboolean            e_signature_set_from_xml            (ESignature *signature,
                                                             const gchar *xml);
    gchar *             e_signature_to_xml                  (ESignature *signature);
    gboolean            e_signature_is_equal                (ESignature *signature1,
                                                             ESignature *signature2);
    gboolean            e_signature_get_autogenerated       (ESignature *signature);
    void                e_signature_set_autogenerated       (ESignature *signature,
                                                             gboolean autogenerated);
    const gchar *       e_signature_get_filename            (ESignature *signature);
    void                e_signature_set_filename            (ESignature *signature,
                                                             const gchar *filename);
    gboolean            e_signature_get_is_html             (ESignature *signature);
    void                e_signature_set_is_html             (ESignature *signature,
                                                             gboolean is_html);
    gboolean            e_signature_get_is_script           (ESignature *signature);
    void                e_signature_set_is_script           (ESignature *signature,
                                                             gboolean is_script);
    const gchar *       e_signature_get_name                (ESignature *signature);
    void                e_signature_set_name                (ESignature *signature,
                                                             const gchar *name);
    const gchar *       e_signature_get_uid                 (ESignature *signature);
    void                e_signature_set_uid                 (ESignature *signature,
                                                             const gchar *uid);

## Object Hierarchy

      GObject
       +----ESignature

## Properties

      "autogenerated"            gboolean              : Read / Write / Construct
      "filename"                 gchar*                : Read / Write / Construct
      "is-html"                  gboolean              : Read / Write / Construct
      "is-script"                gboolean              : Read / Write / Construct
      "name"                     gchar*                : Read / Write / Construct
      "uid"                      gchar*                : Read / Write / Construct

## Description

## Details

### ESignature

    typedef struct _ESignature ESignature;

### e_signature_new ()

    ESignature *        e_signature_new                     (void);

Returns a new signature which can be filled in and added to an ESignatureList.

Returns : | a new ESignature

### e_signature_new_from_xml ()

    ESignature *        e_signature_new_from_xml            (const gchar *xml);

`xml` : | an XML signature description
Returns : | a new ESignature based on the data in `xml`, or `NULL` if `xml` could not be parsed as valid signature data.

### e_signature_uid_from_xml ()

    gchar *             e_signature_uid_from_xml            (const gchar *xml);

`xml` : | an XML signature description
Returns : | the permanent UID of the signature described by `xml` (or `NULL` if `xml` could not be parsed or did not contain a uid). The caller must free this string.

### e_signature_set_from_xml ()

    gboolean            e_signature_set_from_xml            (ESignature *signature,
                                                             const gchar *xml);

Changes `signature` to match `xml`.

`signature` : | an ESignature
`xml` : | an XML signature description.
Returns : | `TRUE` if the signature was loaded or `FALSE` otherwise

### e_signature_to_xml ()

    gchar *             e_signature_to_xml                  (ESignature *signature);

`signature` : | an ESignature
Returns : | an XML representation of `signature`, which the caller must free.

### e_signature_is_equal ()

    gboolean            e_signature_is_equal                (ESignature *signature1,
                                                             ESignature *signature2);

`signature1` : |
`signature2` : |
Returns : |

### e_signature_get_autogenerated ()

    gboolean            e_signature_get_autogenerated       (ESignature *signature);

`signature` : |
Returns : |

### e_signature_set_autogenerated ()

    void                e_signature_set_autogenerated       (ESignature *signature,
                                                             gboolean autogenerated);

`signature` : |
`autogenerated` : |

### e_signature_get_filename ()

    const gchar *       e_signature_get_filename            (ESignature *signature);

`signature` : |
Returns : |

### e_signature_set_filename ()

    void                e_signature_set_filename            (ESignature *signature,
                                                             const gchar *filename);

`signature` : |
`filename` : |

### e_signature_get_is_html ()

    gboolean            e_signature_get_is_html             (ESignature *signature);

`signature` : |
Returns : |

### e_signature_set_is_html ()

    void                e_signature_set_is_html             (ESignature *signature,
                                                             gboolean is_html);

`signature` : |
`is_html` : |

### e_signature_get_is_script ()

    gboolean            e_signature_get_is_script           (ESignature *signature);

`signature` : |
Returns : |

### e_signature_set_is_script ()

    void                e_signature_set_is_script           (ESignature *signature,
                                                             gboolean is_script);

`signature` : |
`is_script` : |

### e_signature_get_name ()

    const gchar *       e_signature_get_name                (ESignature *signature);

`signature` : |
Returns : |

### e_signature_set_name ()

    void                e_signature_set_name                (ESignature *signature,
                                                             const gchar *name);

`signature` : |
`name` : |

### e_signature_get_uid ()

    const gchar *       e_signature_get_uid                 (ESignature *signature);

`signature` : |
Returns : |

### e_signature_set_uid ()

    void                e_signature_set_uid                 (ESignature *signature,
                                                             const gchar *uid);

`signature` : |
`uid` : |

## Property Details

### The `"autogenerated"` property

      "autogenerated"            gboolean              : Read / Write / Construct

Default value: FALSE

### The `"filename"` property

      "filename"                 gchar*                : Read / Write / Construct

Default value: NULL

### The `"is-html"` property

      "is-html"                  gboolean              : Read / Write / Construct

Default value: FALSE

### The `"is-script"` property

      "is-script"                gboolean              : Read / Write / Construct

Default value: FALSE

### The `"name"` property

      "name"                     gchar*                : Read / Write / Construct

Default value: NULL

### The `"uid"` property

      "uid"                      gchar*                : Read / Write / Construct

Default value: NULL